Cannot check out from SVN: No appropriate protocol - HELP!


I'm receiving the error mentioned in the subject and displayed in the screenshot on one machine but not on another. Any insight in to what may cause this that will help me resolve it as I havent got any difference in the SVN settings between the 2 machines.

Thanks in advance

2 comments
Comment actions Permalink

Please make sure you have Subversion client installed on your machine. Our IDE no longer comes with built-in SVN client, see https://blog.jetbrains.com/idea/2018/01/2018-1-changes-to-subversion-integration/

0
Comment actions Permalink

So, for those who end up here with a similar issue we resolved it with the following.

Go to Preferences > Version Control > SubVersion > Enable Interactive Mode

This then allowed a pop up prompt to accept the SVN connection and allowed the process to continue as originally expected

15

Please sign in to leave a comment.